-- !preview conn=CCAODATA

SELECT TOP 1 PIN, HD_TOWN FROM AS_HEADT
WHERE TAX_YEAR = (SELECT MAX(TAX_YEAR) FROM AS_HEADT)
AND HD_CLASS IN (202, 203, 204, 205, 206, 207, 208, 209, 210, 234, 278, 295)
ORDER BY NEWID()